<!DOCTYPE html>
<html lang="es-ES">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Pantalla Reporte Cuentas por Pagar</title>
<link href="../../maincss.css" rel="stylesheet" type="text/css" />
<link href="../../printcss.css" rel="stylesheet" type="text/css" media="print" />

</head>
<?php
include "../../conn.php";
include "../../general.php";
include "../../token.php";

$rep=$_GET["rep"];
$tipo=$_GET["tipo"];
$acreedor=$_POST["acreedor"];
$orden_pago=$_POST["orden_pago"];
$concepto_pago=$_POST["concepto_pago"];
$canal_venta=$_POST["canal_venta"];
$nro_documento=$_POST["nro_documento"];
$tipo_doc_det=$_POST["tipo_doc_det"];
$cod_contexto=$_POST["contexto"];
$muestra_cero=$_POST["muestra_cero"];
$otra_moneda=$_POST["otra_moneda"];
$fechaini_ven=$_POST["fechaini_ven"];
$fechafin_ven=$_POST["fechafin_ven"];
//$usuario=$_POST["usuario"];

$cod_cxp=$_GET["cod_cxp"];
$empresa=$_GET["empresa"];
$otra_moneda_det=$_GET["otra_moneda_det"];
$cod_contexto_det=$_GET["contexto_det"];
//$usuario_det=$_GET["usuario_det"];
//$n_decimales = 6;

//verificar el tipo de usuario 3 es normal (no muestra CxP)
$resultuser = mysqli_query($link, "select pkyUser as cod_user, codType as cod_tipo 
from accUser
where fldLogin = '$usuario' and
sysEnabled = 1 and sysAuthorized = 1;");
		
while ($row = mysqli_fetch_array($resultuser)) {
$cod_usuario = $row['cod_user'];
$cod_tipo_usuario = $row['cod_tipo'];
}
mysqli_free_result($resultuser);

if($cod_tipo_usuario == 3) { 
	$valor_ver = ' and a.sysVisible <> 1 ';
} else {
	$valor_ver = ' ';
}


if($orden_pago == 0 || $orden_pago == 1) {
	$fechaini_ven = '1900-01-01';
	$fechafin_ven = '2999-12-31';
}

if($fechaini_ven == '0000-00-00') { $fechaini_ven = '1900-01-01'; }
if($fechafin_ven == '0000-00-00') { $fechafin_ven = '2999-12-31'; }

function resta_dias($fecha_i,$fecha_f)
{
	$dias	= (strtotime($fecha_i)-strtotime($fecha_f))/86400;
	$dias 	= abs($dias); $dias = floor($dias);		
	return $dias;
}
?>
<body>
<?php

$empresaoempleado = substr($acreedor, -2);
$nombreemp = substr($acreedor, 0, -3);

//Inicio reporte cuentas por pagar

if($rep == 5 && $tipo == 1) { // if 2

//nombre otra moneda
$resultotra = mysqli_query($link, "SELECT fldName as otra_moneda
from
actCurrency
where
pkyCurrency = '$otra_moneda' and
sysEnabled = 1 and sysAuthorized = 1;");
		
	while ($row = mysqli_fetch_array($resultotra)) {
	$nom_otra_moneda = $row['otra_moneda'];
	}
	mysqli_free_result($resultotra);

//valor del codigo del ultimo tipo de cambio

$resultom = mysqli_query($link, "SELECT T2.pkyExchangeRate as tc FROM 
(SELECT fldDate, MAX(fldTime) AS fldTime FROM actExchangeRate WHERE fldExclusive = '0' GROUP BY fldDate) as T1,
actExchangeRate T2 
WHERE 
T1.fldDate = (SELECT MAX(fldDate) FROM actExchangeRate WHERE fldDate <= '$fecha_hoy' AND fldExclusive = '0') AND 
T2.fldDate = T1.fldDate AND 
T2.fldTime = T1.fldTime AND 
sysEnabled = 1 AND sysAuthorized = 1;");
while ($row = mysqli_fetch_array($resultom)) {
	$ultimo_tc = $row['tc'];
	}
	mysqli_free_result($resultom);

//valores de conversion tipo de cambio
$resulttc = mysqli_query($link, "SELECT pkyExchangeRateDetail as codigotc, codBaseCurrency as monedabase, codTargetCurrency as monedacambio, fldRate as tc
from
actExchangeRateDetail
where
codExchangeRate = '$ultimo_tc' and
codBaseCurrency = '$otra_moneda' and
sysEnabled = 1 AND sysAuthorized = 1;");
$matriz_tc = array();
$i = 1;
while ($row = mysqli_fetch_array($resulttc)) {
	$matriz_tc [$i][1] = $row['codigotc'];//codigo tc
	$matriz_tc [$i][2] = $row['monedabase'];//codigo moneda base
	$matriz_tc [$i][3] = $row['monedacambio'];//codigo moneda cambio
	$matriz_tc [$i][4] = $row['tc'];//valor a multiplicar del tc 
	$i++;
	}
	mysqli_free_result($resulttc);

$fin_om = $i - 1;


  
  if ($muestra_cero == 0) { //if muestra cero
    $valor_muestra_cero = ' and a.fldBalance > 0 ';
	$muestra_cero = 'No';
  } else { 
    $valor_muestra_cero = ' ';
	$muestra_cero = 'Si';
  } //fin if muestra cero
  
if($otra_moneda != 0){ 
$mostrar_txt_moneda = $nom_otra_moneda;
} else {
$mostrar_txt_moneda = 'Moneda original';	
}

if($cod_contexto == -1){ 
	$nom_contexto = 'Todos';
	$valor_contexto = ' ';
} else {
	$resultcontx = mysqli_query($link, "select pkyContext as cod_contexto, fldName as contexto, codCostCenter as cod_cc 
	from srvContext
	where 
	pkyContext = '$cod_contexto';");
		while ($row = mysqli_fetch_array($resultcontx)) {   
			$nom_contexto = $row['cod_contexto'].' - '.$row['contexto'];
		}
		mysqli_free_result($resultcontx);
	$valor_contexto = ' a.sysContext = '.$cod_contexto.' and ';	
}

  //echo $empresaoempleado;
  if ($empresaoempleado == -3) { //if 2.2
	$nom_acreedor = 'Todos';
	
	if ($orden_pago == 0) { // if 2.2.1
		$nom_orden = 'Fecha generaci&oacute;n CxP y acreedor';
		$valor_orden = 'fecha, empresa, empleado';
	}//fin if 2.2.1  
		
	if ($orden_pago == 1) { // if 2.2.2
		$nom_orden = 'Acreedor y fecha generaci&oacute;n CxP';
		$valor_orden = 'empresa, empleado, fecha';
	}//fin if 2.2.2
	
	if ($orden_pago == 2) { // if 2.2.3
		$nom_orden = 'Fecha vencimiento CxP y acreedor';
		$valor_orden = 'fecha_pago, empresa, empleado';
	}//fin if 2.2.3  
		
	if ($orden_pago == 3) { // if 2.2.4
		$nom_orden = 'Acreedor y fecha vencimiento CxP';
		$valor_orden = 'empresa, empleado, fecha_pago';
	}//fin if 2.2.4
	
	if ($orden_pago == 4) { // if 2.2.4.1
		$nom_orden = 'C&oacute;digo';
		$valor_orden = 'codigo';
	}//fin if 2.2.4.1
			
	if($concepto_pago == 0) { // if 2.2.5
		$nom_concepto_pago = 'Todos';
		$valor_concepto_pago = ' ';
	} // fin if 2.2.5
		else { //else 2.2.5
		
		$result3 = mysqli_query($link, "select fldName as nombre
							from payAccountsPayableConcept
							where
							pkyAccountsPayableConcept = '$concepto_pago';");
		while ($row = mysqli_fetch_array($result3)) {   
		$nom_concepto_pago = $row['nombre'];
		}
		mysqli_free_result($result3);
		$valor_concepto_pago = ' a.codConcept = '.$concepto_pago.' and';
		} // fin else 2.2.5
	
	if (strcmp($nro_documento, 0) == 0) { // if 2.2.6
		$nom_nro_documento = 'Todos';
		$valor_nro_documento = ' ';
	} else { //else if 2.2.6
		$nom_nro_documento = $nro_documento;
		$valor_nro_documento = " a.fldDocumentNumber = '".$nro_documento."' and";
	}//fin if 2.2.6
	
	if($tipo_doc_det == 0) { // if 2.2.7
		$nom_tipo_doc_det = 'Todos';
		$valor_tipo_doc_det = ' ';
	} // fin if 2.2.7
		else { //else 2.2.7
		
		$result7 = mysqli_query($link, "select fldName as nombre
							from txsDocumentType
							where
							pkyDocumentType = '$tipo_doc_det';");
		while ($row = mysqli_fetch_array($result7)) {   
		$nom_tipo_doc_det = $row['nombre'];
		}
		mysqli_free_result($result7);
		$valor_tipo_doc_det = ' a.pkyAccountsPayable in (select distinct codAccountsPayable from payAccountsPayableDetail where codDocumentType = '.$tipo_doc_det.') and';
		} // fin else 2.2.7
	
	if($canal_venta == 0) { // if 2.2.8
		$nom_canal_venta = 'Todos';
		$valor_canal_venta1 = ' ';
		$valor_canal_venta2 = ' ';
	} else { //else 2.2.8
		
		$result5 = mysqli_query($link, "select pkyChannel as codigo, fldName as canal
							from agnChannel
							where
							pkyChannel = '$canal_venta';");
		while ($row = mysqli_fetch_array($result5)) {   
		$nom_canal_venta = $row['canal'];
		}
		mysqli_free_result($result5);
		$valor_canal_venta1 = ' d.codChannel = '.$canal_venta.' and ';
		$valor_canal_venta2 = ' e.pkyPerson = 0 and ';
	} // fin else 2.2.8	
		
	$result = mysqli_query($link, "select a.pkyAccountsPayable as codigo, a.fldDocumentNumber as nrodoc, a.fldDate as fecha, a.fldPaymentDate as fecha_pago, b.fldName as concepto, d.fldName as empresa, a.codEmployee as empleado, a.codCurrency as cod_moneda, f.fldName as moneda, a.txtDescription as glosa, a.fldTotal as deuda, a.fldBalance as saldo, a.codProductionProjection as cod_proy, a.fldParentComponent as papa, a.cosComponentKey as cod_papa
	from payAccountsPayable a, payAccountsPayableConcept b, 
	agnCompany d, actCurrency f
	where 
	$valor_concepto_pago 
	$valor_nro_documento   
	$valor_tipo_doc_det 
	$valor_canal_venta1
	$valor_contexto 
	a.fldPaymentDate >= '$fechaini_ven' and 
	a.fldPaymentDate <= '$fechafin_ven' and  
	a.codConcept = b.pkyAccountsPayableConcept and
	a.codSupplier = d.pkyCompany and
	a.codCurrency = f.pkyCurrency and
	a.sysEnabled = 1 and a.sysAuthorized = 1 
	$valor_ver 
	$valor_muestra_cero
	order by $valor_orden;");
	
	$result2 = mysqli_query($link, "select a.pkyAccountsPayable as codigo, a.fldDocumentNumber as nrodoc, a.fldDate as fecha, a.fldPaymentDate as fecha_pago, b.fldName as concepto, a.codSupplier as empresa, case when e.fldMiddleName is NULL then concat(e.fldLastName,', ',e.fldFirstName) else concat(e.fldLastName,' ',e.fldMiddleName,', ',e.fldFirstName) end as empleado, a.codCurrency as cod_moneda, f.fldName as moneda, a.txtDescription as glosa, a.fldTotal as deuda, a.fldBalance as saldo, a.codProductionProjection as cod_proy, a.fldParentComponent as papa, a.cosComponentKey as cod_papa
	from payAccountsPayable a, payAccountsPayableConcept b, 
	agnPerson e, actCurrency f
	where
	$valor_concepto_pago 
	$valor_nro_documento 
	$valor_tipo_doc_det 
	$valor_canal_venta2 
	$valor_contexto 
	a.fldPaymentDate >= '$fechaini_ven' and 
	a.fldPaymentDate <= '$fechafin_ven' and  
	a.codConcept = b.pkyAccountsPayableConcept and
	a.codEmployee = e.pkyPerson and
	a.codCurrency = f.pkyCurrency and
	a.sysEnabled = 1 and a.sysAuthorized = 1 
	$valor_ver 
	$valor_muestra_cero
	order by $valor_orden;");

		
		?>
<table border="0" align="left" width="100%" cellpadding="5">
<tr><td><?php echo $mostrar_logo_reportes; ?>
</td><td align="right"><b>Fecha: <?php echo date("Y-m-d"); ?><br/>Hora: <?php echo date("H:i:s"); ?><br/>Usuario: <?php echo $usuario; ?></b>
</td></tr></table>
<p><br /><center><font color="#000099" size="+1"><b>Cuentas por pagar</b></font></center></p>
<table border="0" cellpadding="2" align="center" width="100%">
<tr>
<td>	
    <table border="1" align="center" cellpadding="2" width="100%">
        <TR> 
        <TD width="25%"><b>Acreedor: </b><?php echo $nom_acreedor; ?></TD>
        <TD width="25%"><b>Concepto: </b><?php echo $nom_concepto_pago; ?></TD>
        <TD width="25%"><b>Tipo Doc. Detalle: </b><?php echo $nom_tipo_doc_det; ?></TD>
        <TD width="25%"><b>Ordenado por: </b><?php echo $nom_orden; ?></TD>
        </TR>
        <TR>
        <TD colspan="2"><b>Contexto: </b><?php echo $nom_contexto; ?></TD>
        <TD colspan="2"><b>Canal (solo para empresas): </b><?php echo $nom_canal_venta; ?></TD>
        </TR>
        <TR>
        <TD><b>De Fecha (Venc.): </b><?php echo $fechaini_ven; ?> <b>a Fecha (Venc.): </b><?php echo $fechafin_ven; ?></TD>
        <TD><b>Mostrar saldos en cero: </b><?php echo $muestra_cero; ?></TD>
        <TD><b>Nro. Doc.: </b><?php echo $nom_nro_documento; ?></TD>
        <TD><b>Expresado en: </b><?php echo $mostrar_txt_moneda; ?></TD>
        </TR>
    </table>

</td>
<!--
<td valign="top" width="150">

    <table border="1" align="center" cellpadding="2" width="100%">
    <tr>
    <TD><b>Tipo de Cambio:</b></TD>
    </tr><tr>
    <TD align="center"><a href="../../ModuleAccounting/VoucherExchangeRate/index.php?pkyExchangeRate=<?php echo $ultimo_tc; ?>&user=<?php echo $usuario; ?>&token=<?php echo $token; ?>" title="Tipo de Cambio"><?php echo $ultimo_tc; ?></a> (<?php echo $tc_fecha; ?> - <?php echo $tc_hora; ?>)<br/ >
        <table border="0" cellpadding="2" align="center">
            <?php
            for($m = 1; $m <= $fin_m; $m++) {
            printf("<tr><td align='left'>1 %s</td>", $ma_tc [$m][1]);//moneda base
            printf("<td align='center'>%s</td>", ' = ');//letra a
            printf("<td align='left'>%s %s</td>", number_format($ma_tc [$m][3],$n_tipocambio), $ma_tc [$m][2]);//moneda target y tasa
            //printf("<td align='right'>%s</td></tr>", number_format($ma_tc [$m][3],$n_tipocambio));//tasa
            }
            ?>
        </table>
    </TD>
    </tr>
	</table>
    
</td>
-->
</tr>
</table>
<br /> 
<table border="1" align="center" cellpadding="2" width="100%">
 	<thead>
    <TR> 
 	<TD align="center"><b>Cod.</b></TD>
    <TD align="center"><b>Nro. Doc.</b></TD>
    <TD align="center"><b>Proyecci&oacute;n</b></TD>
	<TD align="center" width="65"><b>Fecha</b></TD>
    <TD align="center" width="65"><b>Fecha de pago</b></TD>
    <TD align="center"><b>Vencida</b></TD>
    <TD align="center"><b>Dias Vto.</b></TD>
    <TD align="center"><b>Concepto</b></TD>
    <TD align="center"><b>Empresa</b></TD>
    <TD align="center"><b>Empleado</b></TD>
    <TD align="center"><b>Glosa</b></TD>
    <TD align="center"><b>Gen. Por</b></TD>
	<TD align="center"><b>Mon.</b></TD>
    <TD align="center"><b>Monto inicial</b></TD>
    <TD align="center"><b>Pagado</b></TD>
    <TD align="center"><b>Saldo</b></TD>
    <?php if($otra_moneda != 0){ ?>
    <TD align="center"><b>Tasa a <?php echo $nom_otra_moneda; ?></b></TD>
	<TD align="center"><b>Monto inicial en <?php echo $nom_otra_moneda; ?></b></TD>
    <TD align="center"><b>Pagado en <?php echo $nom_otra_moneda; ?></b></TD>
    <TD align="center"><b>Saldo en <?php echo $nom_otra_moneda; ?></b></TD>
    <?php } ?>
    </TR>
    </thead>
    <tbody class="marcafila">

    <?php
    $color = 2;
	$suma_cant = 0;
	$suma_empleado = 0;
	$suma_empresa = 0;
	$suma_cant_om = 0;
	$suma_empleado_om = 0;
	$suma_empresa_om = 0;
	$suma_empleado_pago_om = 0;
	$suma_empresa_pago_om = 0;
	$suma_cant_pago_om = 0;
	$suma_montoini_om = 0;
	$suma_empleado_montoini_om = 0;
	$suma_empresa_montoini_om = 0;
	while ($row = mysqli_fetch_array($result)) { //while
		
		$codigo = $row['codigo'];
		$cod_proy = $row['cod_proy'];
	 	if($color % 2 == 0) { //if color
			printf("<tr BGCOLOR='#e2e7fa'><td align='center'><a href='../../ModulePayments/VoucherAccountsPayable/index.php?pkyAccountsPayable=$codigo&user=$usuario&token=$token' title='Nota de Cuenta por Pagar'>%s</a></td>", $row['codigo']);//cod
			} else {
			printf("<tr><td align='center'><a href='../../ModulePayments/VoucherAccountsPayable/index.php?pkyAccountsPayable=$codigo&user=$usuario&token=$token' title='Nota de Cuenta por Pagar'>%s</a></td>", $row['codigo']);//cod
		}//cierra if color
		printf("<td align='center'>%s</td>", $row['nrodoc']);//numero documento
		printf("<td align='center'><a href='../../ModuleProduction/VoucherProductionProjection/index.php?pkyProductionProjection=$cod_proy&user=$usuario_det&token=$token' title='Proyecci&oacute;n de Producci&oacute;n'>%s</a></td>", $row['cod_proy']);//cod proyeccion
		printf("<td align='right'>%s</td>", $row['fecha']);//fecha
		printf("<td align='right'>%s</td>", $row['fecha_pago']);//fecha de pago
		if($row['fecha_pago'] < $fecha_hoy) {//if 1
			printf("<td align='center'><font color='#FF0000'>SI</font></td>");//vencida
			printf("<td align='center'><font color='#FF0000'>-%s</font></td>", resta_dias($fecha_hoy,$row['fecha_pago']));//dias vencida
		} else { //else if 1
			if($row['fecha_pago'] == $fecha_hoy) {
				printf("<td align='center'>HOY</td>");//vence hoy
				printf("<td align='center'>%s</td>", resta_dias($fecha_hoy,$row['fecha_pago']));//dias vencida
			} else {
				printf("<td align='center'>NO</td>");//no vencida
				printf("<td align='center'>%s</td>", resta_dias($fecha_hoy,$row['fecha_pago']));//dias vencida
			}
		}//fin if 1
		
		//para enlazar al que genero el asiento
		$papa_componente = $row['papa'];
		$papa_codigo = $row['cod_papa'];
		//$usuario = nombre del usuario
		include "../../generadopor.php";
		
		printf("<td>%s</td>", $row['concepto']);//concepto
		//printf("<td>%s</td>", $row['concepto_gasto']);//concepto del gasto
		printf("<td>%s</td>", $row['empresa']);//empresa
		printf("<td>%s</td>", $row['empleado']);//empleado
		printf("<td>%s</td>", $row['glosa']);//glosa
		printf("<td align='center'>%s</td>", $papa_enlace);//papa enlace
		printf("<td>%s</td>", $row['moneda']);//moneda
		printf("<td align='right'>%s</td>", number_format($row['deuda'],$n_decimales));//deuda
		if($otra_moneda != 0){ //if otra moneda
			if($row['cod_moneda'] == $otra_moneda){ //if monedas iguales
				$tasa_tc = 1;
			} else { //else monedas iguales
				$i = 1;
				while($i <= $fin_om){ //while busca tasa tc
					if($row['cod_moneda'] == $matriz_tc [$i][3] && $otra_moneda == $matriz_tc [$i][2]){ //if linea tc
						$tasa_tc = $matriz_tc [$i][4];
					}//fin if linea tc
					$i++;
				}//fin while busca tasa tc
		 	}//fin if monedas iguales
			printf("<td align='right'>%s</td>", number_format($row['deuda'] - $row['saldo'],$n_decimales));//pagado
			printf("<td align='right'><a href='report.php?rep=5&tipo=2&cod_cxp=$codigo&empresa=1&otra_moneda_det=0&contexto_det=$cod_contexto&usuario_det=$usuario&token=$token' title='Kardex de Cuenta por Pagar'>%s</a></td>", number_format($row['saldo'],$n_decimales));//saldo	
			printf("<td align='right'>%s</td>", number_format($tasa_tc, $n_tipocambio));// tasa tc
			printf("<td align='right'>%s</td>", number_format($row['deuda'] * $tasa_tc,$n_decimales));//deuda otra moneda
			printf("<td align='right'>%s</td>", number_format(($row['deuda'] - $row['saldo']) * $tasa_tc,$n_decimales));//pagado otra moneda
			printf("<td align='right'><a href='report.php?rep=5&tipo=2&cod_cxp=$codigo&empresa=1&otra_moneda_det=$otra_moneda&contexto_det=$cod_contexto&usuario_det=$usuario&token=$token' title='Kardex de Cuenta por Pagar'>%s</a></td></tr>", number_format($row['saldo'] * $tasa_tc,$n_decimales));//saldo otra moneda
		} else {	
			printf("<td align='right'>%s</td>", number_format($row['deuda'] - $row['saldo'],$n_decimales));//pagado
			printf("<td align='right'><a href='report.php?rep=5&tipo=2&cod_cxp=$codigo&empresa=1&otra_moneda_det=0&contexto_det=$cod_contexto&usuario_det=$usuario&token=$token' title='Kardex de Cuenta por Pagar'>%s</a></td></tr>", number_format($row['saldo'],$n_decimales));//saldo
		}//fin if otra moneda
		$suma_empresa_om = $suma_empresa_om + $row['saldo'] * $tasa_tc;
		$suma_empresa = $suma_empresa + $row['saldo'];
		$suma_empresa_pago_om = $suma_empresa_pago_om + ($row['deuda'] - $row['saldo']) * $tasa_tc;
		$suma_empresa_montoini_om = $suma_empresa_montoini_om + $row['deuda'] * $tasa_tc;
	  	$color++;
	}//fin while
	mysqli_free_result($result);
	
?>
  <?php if($otra_moneda != 0){ ?>
  <tr BGCOLOR='#ffcccc'><td colspan="17"><b>Total Cuentas por Pagar Empresas</b></td>
  <td align="right"><?php printf("<b>%s</b>", number_format($suma_empresa_montoini_om,$n_decimales)); ?></td>
  <td align="right"><?php printf("<b>%s</b>", number_format($suma_empresa_pago_om,$n_decimales)); ?></td>
  <td align="right"><?php printf("<b>%s</b>", number_format($suma_empresa_om,$n_decimales)); ?></td></tr>
  <?php } else { ?>
  <tr BGCOLOR='#ffcccc'><td colspan="16">&nbsp;</td></tr>
   <?php } ?>    
    <?php
		
	while ($row = mysqli_fetch_array($result2)) { //while
		
		$codigo = $row['codigo'];
		$cod_proy = $row['cod_proy'];
	 	if($color % 2 == 0) { //if color
			printf("<tr BGCOLOR='#e2e7fa'><td align='center'><a href='../../ModulePayments/VoucherAccountsPayable/index.php?pkyAccountsPayable=$codigo&user=$usuario&token=$token' title='Nota de Cuenta por Pagar'>%s</a></td>", $row['codigo']);//cod
			} else {
			printf("<tr><td align='center'><a href='../../ModulePayments/VoucherAccountsPayable/index.php?pkyAccountsPayable=$codigo&user=$usuario&token=$token' title='Nota de Cuenta por Pagar'>%s</a></td>", $row['codigo']);//cod	
		} //cierra if color
		printf("<td align='center'>%s</td>", $row['nrodoc']);//numero documento
		printf("<td align='center'><a href='../../ModuleProduction/VoucherProductionProjection/index.php?pkyProductionProjection=$cod_proy&user=$usuario_det&token=$token' title='Proyecci&oacute;n de Producci&oacute;n'>%s</a></td>", $row['cod_proy']);//cod proyeccion
		printf("<td align='right'>%s</td>", $row['fecha']);//fecha
		printf("<td align='right'>%s</td>", $row['fecha_pago']);//fecha de pago
		if($row['fecha_pago'] < $fecha_hoy) {//if 1
			printf("<td align='center'><font color='#FF0000'>SI</font></td>");//vencida
			printf("<td align='center'><font color='#FF0000'>-%s</font></td>", resta_dias($fecha_hoy,$row['fecha_pago']));//dias vencida
		} else { //else if 1
			if($row['fecha_pago'] == $fecha_hoy) {
				printf("<td align='center'>HOY</td>");//vence hoy
				printf("<td align='center'>%s</td>", resta_dias($fecha_hoy,$row['fecha_pago']));//dias vencida
			} else {
				printf("<td align='center'>NO</td>");//no vencida
				printf("<td align='center'>%s</td>", resta_dias($fecha_hoy,$row['fecha_pago']));//dias vencida
			}
		}//fin if 1
		
		//para enlazar al que genero el asiento
		$papa_componente = $row['papa'];
		$papa_codigo = $row['cod_papa'];
		//$usuario = nombre del usuario
		include "../../generadopor.php";
		
		printf("<td>%s</td>", $row['concepto']);//concepto
		//printf("<td>%s</td>", $row['concepto_gasto']);//concepto del gasto
		printf("<td>%s</td>", $row['empresa']);//empresa
		printf("<td>%s</td>", $row['empleado']);//empleado
		printf("<td>%s</td>", $row['glosa']);//glosa
		printf("<td align='center'>%s</td>", $papa_enlace);//papa enlace
		printf("<td>%s</td>", $row['moneda']);//moneda
		printf("<td align='right'>%s</td>", number_format($row['deuda'],$n_decimales));//deuda
		if($otra_moneda != 0){ //if otra moneda
			if($row['cod_moneda'] == $otra_moneda){ //if monedas iguales
				$tasa_tc = 1;
			}//fin if monedas iguales 
			else { //else monedas iguales
		 	$i = 1;
		 	while($i <= $fin_om){ //while busca tasa tc
				if($row['cod_moneda'] == $matriz_tc [$i][3] && $otra_moneda == $matriz_tc [$i][2]){ //if linea tc
					$tasa_tc = $matriz_tc [$i][4];
				}//fin if linea tc
			$i++;
			}//fin while busca tasa tc
		 }//fin if monedas iguales
		 printf("<td align='right'>%s</td>", number_format($row['deuda'] - $row['saldo'],$n_decimales));//pagado
		 printf("<td align='right'><a href='report.php?rep=5&tipo=2&cod_cxp=$codigo&empresa=0&otra_moneda_det=0&contexto_det=$cod_contexto&usuario_det=$usuario&token=$token' title='Kardex de Cuenta por Pagar'>%s</a></td>", number_format($row['saldo'],$n_decimales));//saldo	
		 printf("<td align='right'>%s</td>", number_format($tasa_tc, $n_tipocambio));// tasa tc
		 printf("<td align='right'>%s</td>", number_format($row['deuda'] * $tasa_tc,$n_decimales));//deuda otra moneda
		 printf("<td align='right'>%s</td>", number_format(($row['deuda'] - $row['saldo']) * $tasa_tc,$n_decimales));//pagado otra moneda
		 printf("<td align='right'><a href='report.php?rep=5&tipo=2&cod_cxp=$codigo&empresa=0&otra_moneda_det=$otra_moneda&contexto_det=$cod_contexto&usuario_det=$usuario&token=$token' title='Kardex de Cuenta por Pagar'>%s</a></td></tr>", number_format($row['saldo'] * $tasa_tc,$n_decimales));//saldo otra moneda
		}//fin if otra moneda 
		else {	//else otra moneda
		printf("<td align='right'>%s</td>", number_format($row['deuda'] - $row['saldo'],$n_decimales));//pagado
		printf("<td align='right'><a href='report.php?rep=5&tipo=2&cod_cxp=$codigo&empresa=0&otra_moneda_det=0&contexto_det=$cod_contexto&usuario_det=$usuario&token=$token' title='Kardex de Cuenta por Pagar'>%s</a></td></tr>", number_format($row['saldo'],$n_decimales));//saldo
		}//fin else otra moneda
		$suma_empleado_om = $suma_empleado_om + $row['saldo'] * $tasa_tc;
		$suma_empleado = $suma_empleado + $row['saldo'];
		$suma_empleado_pago_om = $suma_empleado_pago_om + ($row['deuda'] - $row['saldo']) * $tasa_tc;
		$suma_empleado_montoini_om = $suma_empleado_montoini_om + $row['deuda'] * $tasa_tc;
		$color++;
	}//fin while
	mysqli_free_result($result2);
		
	?>
    <?php if($otra_moneda != 0){ ?>
	<tr BGCOLOR='#ffcccc'><td colspan="17"><b>Total Cuentas por Pagar Empleados</b></td>
    <td align="right"><?php printf("<b>%s</b>", number_format($suma_empleado_montoini_om,$n_decimales)); ?></td>
	<td align="right"><?php printf("<b>%s</b>", number_format($suma_empleado_pago_om,$n_decimales)); ?></td>
    <td align="right"><?php printf("<b>%s</b>", number_format($suma_empleado_om,$n_decimales)); ?></td></tr>
  <?php } else { ?>
  <tr BGCOLOR='#ffcccc'><td colspan="16">&nbsp;</td></tr>
  <?php } ?> 
    <?php
		
	$suma_cant = $suma_empleado + $suma_empresa;
	$suma_cant_om = $suma_empleado_om + $suma_empresa_om;
	$suma_cant_pago_om = $suma_empleado_pago_om + $suma_empresa_pago_om;
	$suma_montoini_om = $suma_empleado_montoini_om + $suma_empresa_montoini_om;
	?>
	<?php if($otra_moneda != 0){ ?>
    <tr BGCOLOR='#ffcccc'><td colspan="17"><b>Total Cuentas por Pagar</b></td>
   <td align="right"><?php printf("<b>%s</b>", number_format($suma_montoini_om,$n_decimales)); ?></td>
   <td align="right"><?php printf("<b>%s</b>", number_format($suma_cant_pago_om,$n_decimales)); ?></td>
   <td align="right"><?php printf("<b>%s</b>", number_format($suma_cant_om,$n_decimales)); ?></td></tr>
    <?php } else { ?>
    
    <?php } ?> 
</tbody>
</table>
<?php
	}//fin if 2.2
	
	if ($empresaoempleado == -1) {//if 2.3
		
		if($nombreemp == 0) { //if 2.3.1
			$nom_acreedor = 'Empresas';
			$valor_empresa = ' ';
		} else {
		//listado de empresas
		$resultemp = mysqli_query($link, "select pkyCompany as codigo, fldName as empresa
			from agnCompany
			where
			pkyCompany = '$nombreemp';");
		while ($row = mysqli_fetch_array($resultemp)) {   
			$nom_acreedor = $row['empresa'];
			}
			mysqli_free_result($resultemp);
			$valor_empresa = 'a.codSupplier = '.$nombreemp.' and ';;
		}// fin if 2.3.1
	  
	if ($orden_pago == 0) { // if 2.3.2
		$nom_orden = 'Fecha generaci&oacute;n CxP y empresa';
		$valor_orden = 'fecha, empresa';
	}//fin if 2.3.2
		
	if ($orden_pago == 1) { // if 2.3.3
		$nom_orden = 'Empresa y fecha generaci&oacute;n CxP';
		$valor_orden = 'empresa, fecha';
	}//fin if 2.3.3
	
	if ($orden_pago == 2) { // if 2.3.4
		$nom_orden = 'Fecha vencimiento CxP y empresa';
		$valor_orden = 'fecha_pago, empresa';
	}//fin if 2.3.4
		
	if ($orden_pago == 3) { // if 2.3.5
		$nom_orden = 'Empresa y fecha vencimiento CxP';
		$valor_orden = 'empresa, fecha_pago';
	}//fin if 2.3.5
			
	if($concepto_pago == 0) { // if 2.3.6
		$nom_concepto_pago = 'Todos';
		$valor_concepto_pago = ' ';
	} // fin if 2.3.6
		else { //else 2.3.6
		
		$result3 = mysqli_query($link, "select fldName as nombre
							from payAccountsPayableConcept
							where
							pkyAccountsPayableConcept = '$concepto_pago';");
		while ($row = mysqli_fetch_array($result3)) {   
		$nom_concepto_pago = $row['nombre'];
		}
		mysqli_free_result($result3);
		$valor_concepto_pago = ' a.codConcept = '.$concepto_pago.' and';
		} // fin else 2.3.6
	
	if (strcmp($nro_documento, 0) == 0) { // if 2.3.7
		$nom_nro_documento = 'Todos';
		$valor_nro_documento = ' ';
	} else { //else if 2.3.7
		$nom_nro_documento = $nro_documento;
		$valor_nro_documento = " a.fldDocumentNumber = '".$nro_documento."' and";
	}//fin if 2.3.7
	
	if($tipo_doc_det == 0) { // if 2.3.8
		$nom_tipo_doc_det = 'Todos';
		$valor_tipo_doc_det = ' ';
	} // fin if 2.3.8
		else { //else 2.3.8
		
		$result7 = mysqli_query($link, "select fldName as nombre
							from txsDocumentType
							where
							pkyDocumentType = '$tipo_doc_det';");
		while ($row = mysqli_fetch_array($result7)) {   
		$nom_tipo_doc_det = $row['nombre'];
		}
		mysqli_free_result($result7);
		$valor_tipo_doc_det = ' a.pkyAccountsPayable in (select distinct codAccountsPayable from payAccountsPayableDetail where codDocumentType = '.$tipo_doc_det.') and';
		} // fin else 2.3.8
		
		if($canal_venta == 0) { // if 2.3.9
		$nom_canal_venta = 'Todos';
		$valor_canal_venta1 = ' ';
		$valor_canal_venta2 = ' ';
	} // fin if 2.3.9
		else { //else 2.3.9
		
		$result5 = mysqli_query($link, "select pkyChannel as codigo, fldName as canal
							from agnChannel
							where
							pkyChannel = '$canal_venta';");
		while ($row = mysqli_fetch_array($result5)) {   
		$nom_canal_venta = $row['canal'];
		}
		mysqli_free_result($result5);
		$valor_canal_venta1 = ' d.codChannel = '.$canal_venta.' and ';
		$valor_canal_venta2 = ' e.pkyPerson = 0 and ';
		} // fin else 2.3.9
		
	$result = mysqli_query($link, "select a.pkyAccountsPayable as codigo, a.fldDocumentNumber as nrodoc, a.fldDate as fecha, a.fldPaymentDate as fecha_pago, b.fldName as concepto, d.fldName as empresa, a.codCurrency as cod_moneda, f.fldName as moneda, a.txtDescription as glosa, a.fldTotal as deuda, a.fldBalance as saldo, a.codProductionProjection as cod_proy, a.fldParentComponent as papa, a.cosComponentKey as cod_papa
	from payAccountsPayable a, payAccountsPayableConcept b, 
	agnCompany d, actCurrency f
	where 
	$valor_empresa  
	$valor_concepto_pago 
	$valor_nro_documento 
	$valor_tipo_doc_det 
	$valor_canal_venta1 
	$valor_contexto 
	a.fldPaymentDate >= '$fechaini_ven' and 
	a.fldPaymentDate <= '$fechafin_ven' and  
	a.codConcept = b.pkyAccountsPayableConcept and
	a.codSupplier = d.pkyCompany and
	a.codCurrency = f.pkyCurrency and
	a.sysEnabled = 1 and a.sysAuthorized = 1 
	$valor_ver 
	$valor_muestra_cero
	order by $valor_orden;");
		
		
		?>
<table border="0" align="left" width="100%" cellpadding="5">
<tr><td><?php echo $mostrar_logo_reportes; ?>
</td><td align="right"><b>Fecha: <?php echo date("Y-m-d"); ?><br/>Hora: <?php echo date("H:i:s"); ?><br/>Usuario: <?php echo $usuario; ?></b>
</td></tr></table>
<p><br /><center><font color="#000099" size="+1"><b>Cuentas por pagar</b></font></center></p>
<table border="0" cellpadding="2" align="center" width="100%">
<tr>
<td>	
    <table border="1" align="center" cellpadding="2" width="100%">
        <TR> 
        <TD width="25%"><b>Acreedor: </b><?php echo $nom_acreedor; ?></TD>
        <TD width="25%"><b>Concepto: </b><?php echo $nom_concepto_pago; ?></TD>
        <TD width="25%"><b>Tipo Doc. Detalle: </b><?php echo $nom_tipo_doc_det; ?></TD>
        <TD width="25%"><b>Ordenado por: </b><?php echo $nom_orden; ?></TD>
        </TR>
        <TR>
        <TD colspan="2"><b>Contexto: </b><?php echo $nom_contexto; ?></TD>
        <TD colspan="2"><b>Canal (solo para empresas): </b><?php echo $nom_canal_venta; ?></TD>
        </TR>
        <TR>
        <TD><b>De Fecha (Venc.): </b><?php echo $fechaini_ven; ?> <b>a Fecha (Venc.): </b><?php echo $fechafin_ven; ?></TD>
        <TD><b>Mostrar saldos en cero: </b><?php echo $muestra_cero; ?></TD>
        <TD><b>Nro. Doc.: </b><?php echo $nom_nro_documento; ?></TD>
        <TD><b>Expresado en: </b><?php echo $mostrar_txt_moneda; ?></TD>
        </TR>
    </table>

</td>
<!--
<td valign="top" width="150">

    <table border="1" align="center" cellpadding="2" width="100%">
    <tr>
    <TD><b>Tipo de Cambio:</b></TD>
    </tr><tr>
    <TD align="center"><a href="../../ModuleAccounting/VoucherExchangeRate/index.php?pkyExchangeRate=<?php echo $ultimo_tc; ?>&user=<?php echo $usuario; ?>&token=<?php echo $token; ?>" title="Tipo de Cambio"><?php echo $ultimo_tc; ?></a> (<?php echo $tc_fecha; ?> - <?php echo $tc_hora; ?>)<br/ >
        <table border="0" cellpadding="2" align="center">
            <?php
            for($m = 1; $m <= $fin_m; $m++) {
            printf("<tr><td align='left'>1 %s</td>", $ma_tc [$m][1]);//moneda base
            printf("<td align='center'>%s</td>", ' = ');//letra a
            printf("<td align='left'>%s %s</td>", number_format($ma_tc [$m][3],$n_tipocambio), $ma_tc [$m][2]);//moneda target y tasa
            //printf("<td align='right'>%s</td></tr>", number_format($ma_tc [$m][3],$n_tipocambio));//tasa
            }
            ?>
        </table>
    </TD>
    </tr>
	</table>
    
</td>
-->
</tr>
</table>
<br /> 
<table border="1" align="center" cellpadding="2" width="100%">
 	<thead>
    <TR> 
 	<TD align="center"><b>Cod.</b></TD>
    <TD align="center"><b>Nro. Doc.</b></TD>
    <TD align="center"><b>Proyecci&oacute;n</b></TD>
	<TD align="center" width="65"><b>Fecha</b></TD>
    <TD align="center" width="65"><b>Fecha de pago</b></TD>
    <TD align="center"><b>Vencida</b></TD>
    <TD align="center"><b>Dias Vto.</b></TD>
    <TD align="center"><b>Concepto</b></TD>
    <TD align="center"><b>Empresa</b></TD>
    <TD align="center"><b>Glosa</b></TD>
    <TD align="center"><b>Gen. Por</b></TD>
	<TD align="center"><b>Mon.</b></TD>
    <TD align="center"><b>Monto inicial</b></TD>
    <TD align="center"><b>Pagado</b></TD>
    <TD align="center"><b>Saldo</b></TD>
    <?php if($otra_moneda != 0){ ?>
    <TD align="center"><b>Tasa a <?php echo $nom_otra_moneda; ?></b></TD>
	<TD align="center"><b>Monto inicial en <?php echo $nom_otra_moneda; ?></b></TD>
    <TD align="center"><b>Pagado en <?php echo $nom_otra_moneda; ?></b></TD>
    <TD align="center"><b>Saldo en <?php echo $nom_otra_moneda; ?></b></TD>
    <?php } ?>
    </TR>
    </thead>
    <tbody class="marcafila">

	<?php
    $color = 2;
    $suma_empresa = 0;
    $suma_empresa_om = 0;
	$suma_empresa_pago_om = 0;
	$suma_empresa_montoini_om = 0;
    while ($row = mysqli_fetch_array($result)) { //while
        $codigo = $row['codigo'];
		$cod_proy = $row['cod_proy'];
        if($color % 2 == 0) { //if color
            printf("<tr BGCOLOR='#e2e7fa'><td align='center'><a href='../../ModulePayments/VoucherAccountsPayable/index.php?pkyAccountsPayable=$codigo&user=$usuario&token=$token' title='Nota de Cuenta por Pagar'>%s</a></td>", $row['codigo']);//cod
            } else {
            printf("<tr><td align='center'><a href='../../ModulePayments/VoucherAccountsPayable/index.php?pkyAccountsPayable=$codigo&user=$usuario&token=$token' title='Nota de Cuenta por Pagar'>%s</a></td>", $row['codigo']);//cod
        }//cierra if color
        printf("<td align='center'>%s</td>", $row['nrodoc']);//numero documento
		printf("<td align='center'><a href='../../ModuleProduction/VoucherProductionProjection/index.php?pkyProductionProjection=$cod_proy&user=$usuario_det&token=$token' title='Proyecci&oacute;n de Producci&oacute;n'>%s</a></td>", $row['cod_proy']);//cod proyeccion
        printf("<td align='right'>%s</td>", $row['fecha']);//fecha
        printf("<td align='right'>%s</td>", $row['fecha_pago']);//fecha de pago
		if($row['fecha_pago'] < $fecha_hoy) {//if 1
			printf("<td align='center'><font color='#FF0000'>SI</font></td>");//vencida
			printf("<td align='center'><font color='#FF0000'>-%s</font></td>", resta_dias($fecha_hoy,$row['fecha_pago']));//dias vencida
		} else { //else if 1
			if($row['fecha_pago'] == $fecha_hoy) {
				printf("<td align='center'>HOY</td>");//vence hoy
				printf("<td align='center'>%s</td>", resta_dias($fecha_hoy,$row['fecha_pago']));//dias vencida
			} else {
				printf("<td align='center'>NO</td>");//no vencida
				printf("<td align='center'>%s</td>", resta_dias($fecha_hoy,$row['fecha_pago']));//dias vencida
			}
		}//fin if 1
		
		//para enlazar al que genero el asiento
		$papa_componente = $row['papa'];
		$papa_codigo = $row['cod_papa'];
		//$usuario = nombre del usuario
		include "../../generadopor.php";
		
        printf("<td>%s</td>", $row['concepto']);//concepto
        //printf("<td>%s</td>", $row['concepto_gasto']);//concepto del gasto
        printf("<td>%s</td>", $row['empresa']);//empresa
        printf("<td>%s</td>", $row['glosa']);//glosa
		printf("<td align='center'>%s</td>", $papa_enlace);//papa enlace
        printf("<td>%s</td>", $row['moneda']);//moneda
        printf("<td align='right'>%s</td>", number_format($row['deuda'],$n_decimales));//deuda
                    
        if($otra_moneda != 0){ //if otra moneda
			if($row['cod_moneda'] == $otra_moneda){ //if monedas iguales
				$tasa_tc = 1;
			} else { //else monedas iguales
				$i = 1;
				while($i <= $fin_om){ //while busca tasa tc
					if($row['cod_moneda'] == $matriz_tc [$i][3] && $otra_moneda == $matriz_tc [$i][2]){ //if linea tc
						$tasa_tc = $matriz_tc [$i][4];
					}//fin if linea tc
				$i++;
				}//fin while busca tasa tc
     		}//fin if monedas iguales
			printf("<td align='right'>%s</td>", number_format($row['deuda'] - $row['saldo'],$n_decimales));//pagado
			printf("<td align='right'><a href='report.php?rep=5&tipo=2&cod_cxp=$codigo&empresa=1&otra_moneda_det=0&contexto_det=$cod_contexto&usuario_det=$usuario&token=$token' title='Kardex de Cuenta por Pagar'>%s</a></td>", number_format($row['saldo'],$n_decimales));//saldo	
			printf("<td align='right'>%s</td>", number_format($tasa_tc,$n_tipocambio));// tasa de tc
			printf("<td align='right'>%s</td>", number_format($row['deuda'] * $tasa_tc,$n_decimales));//deuda otra moneda
			printf("<td align='right'>%s</td>", number_format(($row['deuda'] - $row['saldo']) * $tasa_tc,$n_decimales));//pagado otra moenda
			printf("<td align='right'><a href='report.php?rep=5&tipo=2&cod_cxp=$codigo&empresa=1&otra_moneda_det=$otra_moneda&contexto_det=$cod_contexto&usuario_det=$usuario&token=$token' title='Kardex de Cuenta por Pagar'>%s</a></td></tr>", number_format($row['saldo'] * $tasa_tc,$n_decimales));//saldo otra moneda
		} else { //else otra moneda
			printf("<td align='right'>%s</td>", number_format($row['deuda'] - $row['saldo'],$n_decimales));//pagado
			printf("<td align='right'><a href='report.php?rep=5&tipo=2&cod_cxp=$codigo&empresa=1&otra_moneda_det=0&contexto_det=$cod_contexto&usuario_det=$usuario&token=$token' title='Kardex de Cuenta por Pagar'>%s</a></td></tr>", number_format($row['saldo'],$n_decimales));//saldo
		}//fin else otra moneda
        $suma_empresa_om = $suma_empresa_om + $row['saldo'] * $tasa_tc;
        $suma_empresa = $suma_empresa + $row['saldo'];
		$suma_empresa_pago_om = $suma_empresa_pago_om + ($row['deuda'] - $row['saldo']) * $tasa_tc;
		$suma_empresa_montoini_om = $suma_empresa_montoini_om + $row['deuda'] * $tasa_tc;
        $color++;
    }//fin while
mysqli_free_result($result);
	
?>
		
<?php if($otra_moneda != 0){ ?>
<tr BGCOLOR='#ffcccc'><td colspan="16"><b>Total Cuentas por Pagar <?php echo $nom_acreedor; ?></b></td>
<td align="right"><?php printf("<b>%s</b>", number_format($suma_empresa_montoini_om,$n_decimales)); ?></td>
<td align="right"><?php printf("<b>%s</b>", number_format($suma_empresa_pago_om,$n_decimales)); ?></td>
<td align="right"><?php printf("<b>%s</b>", number_format($suma_empresa_om,$n_decimales)); ?></td></tr>
    <?php } else { ?>
   
    <?php } ?>
</tbody>        
</table>
<?php
	}//fin 2.3
	
	
	if ($empresaoempleado == -2) { //if 2.4
	  //echo $nombreemp;
	  if($nombreemp == 0) { //if 2.4.1
			$nom_acreedor = 'Empleados';
			$valor_empleado = ' ';
		} else {
		//listado de empleados
		$resultemp = mysqli_query($link, "select pkyPerson as codigo, 
			case when fldMiddleName is NULL then concat(fldLastName,', ',fldFirstName) else concat(fldLastName,' ',fldMiddleName,', ',fldFirstName) end as empleado
			from agnPerson
			where 
			pkyPerson = '$nombreemp';");
		while ($row = mysqli_fetch_array($resultemp)) {   
			$nom_acreedor = $row['codigo'].' - '.$row['empleado'];
			}
			mysqli_free_result($resultemp);
			$valor_empleado = 'a.codEmployee = '.$nombreemp.' and ';;
		}// fin if 2.4.1
	  
	if ($orden_pago == 0) { // if 2.4.2
		$nom_orden = 'Fecha generaci&oacute;n CxP y empleado';
		$valor_orden = 'fecha, empleado';
	}//fin if 2.4.2
		
	if ($orden_pago == 1) { // if 2.4.3
		$nom_orden = 'Empleado y fecha generaci&oacute;n CxP';
		$valor_orden = 'empleado, fecha';
	}//fin if 2.4.3
	
	if ($orden_pago == 2) { // if 2.4.4
		$nom_orden = 'Fecha vencimiento CxP y empleado';
		$valor_orden = 'fecha_pago, empleado';
	}//fin if 2.4.4
		
	if ($orden_pago == 3) { // if 2.4.5
		$nom_orden = 'Empleado y fecha vencimiento CxP';
		$valor_orden = 'empleado, fecha_pago';
	}//fin if 2.4.5
			
	if($concepto_pago == 0) { // if 2.4.6
		$nom_concepto_pago = 'Todos';
		$valor_concepto_pago = ' ';
	} // fin if 2.4.6
		else { //else 2.4.6
		
		$result3 = mysqli_query($link, "select fldName as nombre
							from payAccountsPayableConcept
							where
							pkyAccountsPayableConcept = '$concepto_pago';");
		while ($row = mysqli_fetch_array($result3)) {   
		$nom_concepto_pago = $row['nombre'];
		}
		mysqli_free_result($result3);
		$valor_concepto_pago = ' a.codConcept = '.$concepto_pago.' and';
		} // fin else 2.4.6
	
	if (strcmp($nro_documento, 0) == 0) { // if 2.4.7
		$nom_nro_documento = 'Todos';
		$valor_nro_documento = ' ';
	} else { //else if 2.4.7
		$nom_nro_documento = $nro_documento;
		$valor_nro_documento = " a.fldDocumentNumber = '".$nro_documento."' and";
	}//fin if 2.4.7
	
	if($tipo_doc_det == 0) { // if 2.4.8
		$nom_tipo_doc_det = 'Todos';
		$valor_tipo_doc_det = ' ';
	} // fin if 2.4.8
		else { //else 2.4.8
		
		$result7 = mysqli_query($link, "select fldName as nombre
							from txsDocumentType
							where
							pkyDocumentType = '$tipo_doc_det';");
		while ($row = mysqli_fetch_array($result7)) {   
		$nom_tipo_doc_det = $row['nombre'];
		}
		mysqli_free_result($result7);
		$valor_tipo_doc_det = ' a.pkyAccountsPayable in (select distinct codAccountsPayable from payAccountsPayableDetail where codDocumentType = '.$tipo_doc_det.') and';
		} // fin else 2.4.8
		
		$result = mysqli_query($link, "select a.pkyAccountsPayable as codigo, a.fldDocumentNumber as nrodoc, a.fldDate as fecha, a.fldPaymentDate as fecha_pago, b.fldName as concepto, a.codSupplier as empresa, case when e.fldMiddleName is NULL then concat(e.fldLastName,', ',e.fldFirstName) else concat(e.fldLastName,' ',e.fldMiddleName,', ',e.fldFirstName) end as empleado, a.codCurrency as cod_moneda, f.fldName as moneda, a.txtDescription as glosa, a.fldTotal as deuda, a.fldBalance as saldo, a.codProductionProjection as cod_proy, a.fldParentComponent as papa, a.cosComponentKey as cod_papa
		from payAccountsPayable a, payAccountsPayableConcept b, 
		agnPerson e, actCurrency f
		where 
		$valor_empleado   
		$valor_concepto_pago 
		$valor_nro_documento 
		$valor_tipo_doc_det 
		$valor_contexto 
		a.fldPaymentDate >= '$fechaini_ven' and 
		a.fldPaymentDate <= '$fechafin_ven' and  
		a.codConcept = b.pkyAccountsPayableConcept and
		a.codEmployee = e.pkyPerson and
		a.codCurrency = f.pkyCurrency and
		a.sysEnabled = 1 and a.sysAuthorized = 1 
		$valor_ver 
		$valor_muestra_cero
		order by $valor_orden;");
		
		?>
<table border="0" align="left" width="100%" cellpadding="5">
<tr><td><?php echo $mostrar_logo_reportes; ?>
</td><td align="right"><b>Fecha: <?php echo date("Y-m-d"); ?><br/>Hora: <?php echo date("H:i:s"); ?><br/>Usuario: <?php echo $usuario; ?></b>
</td></tr></table>
<p><br /><center><font color="#000099" size="+1"><b>Cuentas por pagar</b></font></center></p>
<table border="0" cellpadding="2" align="center" width="100%">
<tr>
<td>	
    <table border="1" align="center" cellpadding="2" width="100%">
        <TR> 
        <TD width="25%"><b>Acreedor: </b><?php echo $nom_acreedor; ?></TD>
        <TD width="25%"><b>Concepto: </b><?php echo $nom_concepto_pago; ?></TD>
        <TD width="25%"><b>Tipo Doc. Detalle: </b><?php echo $nom_tipo_doc_det; ?></TD>
        <TD width="25%"><b>Ordenado por: </b><?php echo $nom_orden; ?></TD>
        </TR>
        <TR>
        <TD colspan="4"><b>Contexto: </b><?php echo $nom_contexto; ?></TD>
        </TR>
        <TR>
        <TD><b>De Fecha (Venc.): </b><?php echo $fechaini_ven; ?> <b>a Fecha (Venc.): </b><?php echo $fechafin_ven; ?></TD>
        <TD><b>Mostrar saldos en cero: </b><?php echo $muestra_cero; ?></TD>
        <TD><b>Nro. Doc.: </b><?php echo $nom_nro_documento; ?></TD>
        <TD><b>Expresado en: </b><?php echo $mostrar_txt_moneda; ?></TD>
        </TR>
    </table>

</td>
<!--
<td valign="top" width="150">

    <table border="1" align="center" cellpadding="2" width="100%">
    <tr>
    <TD><b>Tipo de Cambio:</b></TD>
    </tr><tr>
    <TD align="center"><a href="../../ModuleAccounting/VoucherExchangeRate/index.php?pkyExchangeRate=<?php echo $ultimo_tc; ?>&user=<?php echo $usuario; ?>&token=<?php echo $token; ?>" title="Tipo de Cambio"><?php echo $ultimo_tc; ?></a> (<?php echo $tc_fecha; ?> - <?php echo $tc_hora; ?>)<br/ >
        <table border="0" cellpadding="2" align="center">
            <?php
            for($m = 1; $m <= $fin_m; $m++) {
            printf("<tr><td align='left'>1 %s</td>", $ma_tc [$m][1]);//moneda base
            printf("<td align='center'>%s</td>", ' = ');//letra a
            printf("<td align='left'>%s %s</td>", number_format($ma_tc [$m][3],$n_tipocambio), $ma_tc [$m][2]);//moneda target y tasa
            //printf("<td align='right'>%s</td></tr>", number_format($ma_tc [$m][3],$n_tipocambio));//tasa
            }
            ?>
        </table>
    </TD>
    </tr>
	</table>
    
</td>
-->
</tr>
</table>
<br /> 
<table border="1" align="center" cellpadding="2" width="100%">
    <thead>
    <TR> 
    <TD align="center"><b>Cod.</b></TD>
    <TD align="center"><b>Nro. Doc.</b></TD>
    <TD align="center"><b>Proyecci&oacute;n</b></TD>
    <TD align="center" width="65"><b>Fecha</b></TD>
    <TD align="center" width="65"><b>Fecha de pago</b></TD>
    <TD align="center"><b>Vencida</b></TD>
    <TD align="center"><b>Dias Vto.</b></TD>
    <TD align="center"><b>Concepto</b></TD>
    <TD align="center"><b>Empleado</b></TD>
    <TD align="center"><b>Glosa</b></TD>
    <TD align="center"><b>Gen. Por</b></TD>
    <TD align="center"><b>Mon.</b></TD>
    <TD align="center"><b>Monto inicial</b></TD>
    <TD align="center"><b>Pagado</b></TD>
    <TD align="center"><b>Saldo</b></TD>
    <?php if($otra_moneda != 0){ ?>
    <TD align="center"><b>Tasa a <?php echo $nom_otra_moneda; ?></b></TD>
	<TD align="center"><b>Monto inicial en <?php echo $nom_otra_moneda; ?></b></TD>
    <TD align="center"><b>Pagado en <?php echo $nom_otra_moneda; ?></b></TD>
    <TD align="center"><b>Saldo en <?php echo $nom_otra_moneda; ?></b></TD>
    <?php } ?>
    </TR>
    </thead>
    <tbody class="marcafila">

	<?php
    $color = 2;
    $suma_empleado = 0;
    $suma_empleado_om = 0;
	$suma_empleado_pago_om = 0;
	$suma_empleado_montoini_om = 0;
    while ($row = mysqli_fetch_array($result)) { //while
        $codigo = $row['codigo'];
		$cod_proy = $row['cod_proy'];
        if($color % 2 == 0) { //if color
            printf("<tr BGCOLOR='#e2e7fa'><td align='center'><a href='../../ModulePayments/VoucherAccountsPayable/index.php?pkyAccountsPayable=$codigo&user=$usuario&token=$token' title='Nota de Cuenta por Pagar'>%s</a></td>", $row['codigo']);//cod
            } else {
            printf("<tr><td align='center'><a href='../../ModulePayments/VoucherAccountsPayable/index.php?pkyAccountsPayable=$codigo&user=$usuario&token=$token' title='Nota de Cuenta por Pagar'>%s</a></td>", $row['codigo']);//cod
        }//cierra if color
        printf("<td align='center'>%s</td>", $row['nrodoc']);//numero documento
		printf("<td align='center'><a href='../../ModuleProduction/VoucherProductionProjection/index.php?pkyProductionProjection=$cod_proy&user=$usuario_det&token=$token' title='Proyecci&oacute;n de Producci&oacute;n'>%s</a></td>", $row['cod_proy']);//cod proyeccion
        printf("<td align='right'>%s</td>", $row['fecha']);//fecha
        printf("<td align='right'>%s</td>", $row['fecha_pago']);//fecha de pago
		if($row['fecha_pago'] < $fecha_hoy) {//if 1
			printf("<td align='center'><font color='#FF0000'>SI</font></td>");//vencida
			printf("<td align='center'><font color='#FF0000'>-%s</font></td>", resta_dias($fecha_hoy,$row['fecha_pago']));//dias vencida
		} else { //else if 1
			if($row['fecha_pago'] == $fecha_hoy) {
				printf("<td align='center'>HOY</td>");//vence hoy
				printf("<td align='center'>%s</td>", resta_dias($fecha_hoy,$row['fecha_pago']));//dias vencida
			} else {
				printf("<td align='center'>NO</td>");//no vencida
				printf("<td align='center'>%s</td>", resta_dias($fecha_hoy,$row['fecha_pago']));//dias vencida
			}
		}//fin if 1
		
		//para enlazar al que genero el asiento
		$papa_componente = $row['papa'];
		$papa_codigo = $row['cod_papa'];
		//$usuario = nombre del usuario
		include "../../generadopor.php";
		
        printf("<td>%s</td>", $row['concepto']);//concepto
        //printf("<td>%s</td>", $row['concepto_gasto']);//concepto del gasto
        printf("<td>%s</td>", $row['empleado']);//empleado
        printf("<td>%s</td>", $row['glosa']);//glosa
		printf("<td align='center'>%s</td>", $papa_enlace);//papa enlace
        printf("<td>%s</td>", $row['moneda']);//moneda
        printf("<td align='right'>%s</td>", number_format($row['deuda'],$n_decimales));//deuda
        
        if($otra_moneda != 0){ //if otra moneda
			if($row['cod_moneda'] == $otra_moneda){ //if monedas iguales
				$tasa_tc = 1;
			} else { //else monedas iguales
			$i = 1;
				while($i <= $fin_om){ //while busca tasa tc
					if($row['cod_moneda'] == $matriz_tc [$i][3] && $otra_moneda == $matriz_tc [$i][2]){ //if linea tc
						$tasa_tc = $matriz_tc [$i][4];
					}//fin if linea tc
				$i++;
				}//fin while busca tasa tc
			}//fin if monedas iguales
			printf("<td align='right'>%s</td>", number_format($row['deuda'] - $row['saldo'],$n_decimales));//pagado
			printf("<td align='right'><a href='report.php?rep=5&tipo=2&cod_cxp=$codigo&empresa=0&otra_moneda_det=0&contexto_det=$cod_contexto&usuario_det=$usuario&token=$token' title='Kardex de Cuenta por Pagar'>%s</a></td>", number_format($row['saldo'],$n_decimales));//saldo	
			printf("<td align='right'>%s</td>", number_format($tasa_tc, $n_tipocambio));// tasa de tc
			printf("<td align='right'>%s</td>", number_format($row['deuda'] * $tasa_tc,$n_decimales));//deuda otra moneda
			printf("<td align='right'>%s</td>", number_format(($row['deuda'] - $row['saldo']) * $tasa_tc,$n_decimales));//pagado otra moneda
			printf("<td align='right'><a href='report.php?rep=5&tipo=2&cod_cxp=$codigo&empresa=0&otra_moneda_det=$otra_moneda&contexto_det=$cod_contexto&usuario_det=$usuario&token=$token' title='Kardex de Cuenta por Pagar'>%s</a></td></tr>", number_format($row['saldo'] * $tasa_tc,$n_decimales));//saldo otra moneda
		} else { //else otra moneda
			printf("<td align='right'>%s</td>", number_format($row['deuda'] - $row['saldo'],$n_decimales));//pagado
			printf("<td align='right'><a href='report.php?rep=5&tipo=2&cod_cxp=$codigo&empresa=0&otra_moneda_det=0&contexto_det=$cod_contexto&usuario_det=$usuario&token=$token' title='Kardex de Cuenta por Pagar'>%s</a></td></tr>", number_format($row['saldo'],$n_decimales));//saldo
		}//fin else otra moneda
        $suma_empleado_om = $suma_empleado_om + $row['saldo'] * $tasa_tc;
        $suma_empleado = $suma_empleado + $row['saldo'];
		$suma_empleado_pago_om = $suma_empleado_pago_om + ($row['deuda'] - $row['saldo']) * $tasa_tc;
		$suma_empleado_montoini_om = $suma_empleado_montoini_om + $row['deuda'] * $tasa_tc;
        $color++;
	}//fin while
	mysqli_free_result($result);
	
?>
		
 <?php if($otra_moneda != 0){ ?>
    <tr BGCOLOR='#ffcccc'><td colspan="16"><b>Total Cuentas por Pagar <?php echo $nom_acreedor; ?></b></td>
    <td align="right"><?php printf("<b>%s</b>", number_format($suma_empleado_montoini_om,$n_decimales)); ?></td>
	<td align="right"><?php printf("<b>%s</b>", number_format($suma_empleado_pago_om,$n_decimales)); ?></td>
    <td align="right"><?php printf("<b>%s</b>", number_format($suma_empleado_om,$n_decimales)); ?></td></tr>
    <?php } else { ?>
    
    <?php } ?>
</tbody>
</table>
<?php
	}//fin if 2.4
	
} //fin if 2





// inicio muestra detalle

if($rep == 5 && $tipo == 2) { // if 3

//nombre otra moneda
$resultotra = mysqli_query($link, "SELECT fldName as otra_moneda
from
actCurrency
where
pkyCurrency = '$otra_moneda_det' and
sysEnabled = 1 and sysAuthorized = 1;");
		
	while ($row = mysqli_fetch_array($resultotra)) {
	$nom_otra_moneda = $row['otra_moneda'];
	}
	mysqli_free_result($resultotra);

//valor del codigo del tipo de cambio fecha de pago
$resultom = mysqli_query($link, "select codCurrency as cod_moneda, codExchangeRate as tc
from
payAccountsPayable
where
pkyAccountsPayable = '$cod_cxp' and
sysEnabled = 1 and sysAuthorized = 1;");
while ($row = mysqli_fetch_array($resultom)) {
	//$cod_moneda = $row['cod_moneda'];
	$tc_fecha_pago = $row['tc'];
	}
	mysqli_free_result($resultom);
	
//valores de conversion tipo de cambio fecha de pago
$resulttc = mysqli_query($link, "SELECT pkyExchangeRateDetail as codigotc, codBaseCurrency as monedabase, codTargetCurrency as monedacambio, fldRate as tc
from
actExchangeRateDetail
where
codExchangeRate = '$tc_fecha_pago' and
codBaseCurrency = '$otra_moneda_det' and
sysEnabled = 1 AND sysAuthorized = 1;");
$matriz_tc_fecha_pago = array();
$i = 1;
while ($row = mysqli_fetch_array($resulttc)) {
	$matriz_tc_fecha_pago [$i][1] = $row['codigotc'];//codigo tc
	$matriz_tc_fecha_pago [$i][2] = $row['monedabase'];//codigo moneda base
	$matriz_tc_fecha_pago [$i][3] = $row['monedacambio'];//codigo moneda cambio
	$matriz_tc_fecha_pago [$i][4] = $row['tc'];//valor a multiplicar del tc 
	$i++;
	}
	mysqli_free_result($resulttc);

$fin_om_fp = $i - 1;


//valor del codigo del ultimo tipo de cambio
$fecha_hoy=date("Y-m-d");
$resultom = mysqli_query($link, "SELECT T2.pkyExchangeRate as tc FROM 
(SELECT fldDate, MAX(fldTime) AS fldTime FROM actExchangeRate WHERE fldExclusive = '0' GROUP BY fldDate) as T1,
actExchangeRate T2 
WHERE 
T1.fldDate = (SELECT MAX(fldDate) FROM actExchangeRate WHERE fldDate <= '$fecha_hoy' AND fldExclusive = '0') AND 
T2.fldDate = T1.fldDate AND 
T2.fldTime = T1.fldTime AND 
sysEnabled = 1 AND sysAuthorized = 1;");
while ($row = mysqli_fetch_array($resultom)) {
	$ultimo_tc = $row['tc'];
	}
	mysqli_free_result($resultom);

//valores de conversion tipo de cambio
$resulttc = mysqli_query($link, "SELECT pkyExchangeRateDetail as codigotc, codBaseCurrency as monedabase, codTargetCurrency as monedacambio, fldRate as tc
from
actExchangeRateDetail
where
codExchangeRate = '$ultimo_tc' and
codBaseCurrency = '$otra_moneda_det' and
sysEnabled = 1 AND sysAuthorized = 1;");
$matriz_tc = array();
$i = 1;
while ($row = mysqli_fetch_array($resulttc)) {
	$matriz_tc [$i][1] = $row['codigotc'];//codigo tc
	$matriz_tc [$i][2] = $row['monedabase'];//codigo moneda base
	$matriz_tc [$i][3] = $row['monedacambio'];//codigo moneda cambio
	$matriz_tc [$i][4] = $row['tc'];//valor a multiplicar del tc 
	$i++;
	}
	mysqli_free_result($resulttc);

$fin_om = $i - 1;

if($cod_contexto_det == -1){ 
	$nom_contexto_det = 'Todos';
	$valor_contexto_det = ' ';
} else {
	$resultcontx = mysqli_query($link, "select pkyContext as cod_contexto, fldName as contexto, codCostCenter as cod_cc 
	from srvContext
	where 
	pkyContext = '$cod_contexto_det';");
		while ($row = mysqli_fetch_array($resultcontx)) {   
			$nom_contexto_det = $row['cod_contexto'].' - '.$row['contexto'];
		}
		mysqli_free_result($resultcontx);
	$valor_contexto_det = ' a.sysContext = '.$cod_contexto_det.' and ';	
}


if($empresa == 1) { //if 3.1
$empoemp = 'Empresa';
$result = mysqli_query($link, "select a.pkyAccountsPayable as codigo, a.fldDocumentNumber as nrodoc, a.fldDate as fecha, a.fldPaymentDate as fecha_pago, b.fldName as concepto, 
 d.fldName as empresa, a.codCurrency as cod_moneda, f.fldName as moneda, a.txtDescription as glosa, a.fldTotal as deuda, a.fldBalance as saldo, a.codProductionProjection as cod_proy, a.fldParentComponent as papa, a.cosComponentKey as cod_papa 
from payAccountsPayable a, payAccountsPayableConcept b, 
agnCompany d, actCurrency f
where 
$valor_contexto_det 
a.pkyAccountsPayable = '$cod_cxp' and
a.codConcept = b.pkyAccountsPayableConcept and
a.codSupplier = d.pkyCompany and
a.codCurrency = f.pkyCurrency and
a.sysEnabled = 1 and a.sysAuthorized = 1;");

$result2 = mysqli_query($link, "select a.pkyPayment as cod_pago, a.fldDocumentNumber as nrodoc, a.fldDate as fecha, c.fldName as tipo, d.fldName as empresa, a.codCurrency as cod_moneda, f.fldName as moneda, a.codExchangeRate as cod_tc, b.fldTotal as total, a.fldParentComponent as papa, a.cosComponentKey as cod_papa 
from
payPayment a, payPaymentDetail b, payPaymentRoute c, agnCompany d, actCurrency f
where 
$valor_contexto_det 
a.codRoute = c.pkyPaymentRoute and
a.codClient = d.pkyCompany and
a.codCurrency = f.pkyCurrency and
b.codAccountsPayable = '$cod_cxp' and
a.pkyPayment = b.codPayment and
a.sysEnabled = 1 and a.sysAuthorized = 1
order by fecha;");
}// fin if 3.1

if($empresa == 0) { //if 3.2
$empoemp = 'Empleado';
$result = mysqli_query($link, "select a.pkyAccountsPayable as codigo, a.fldDocumentNumber as nrodoc, a.fldDate as fecha, a.fldPaymentDate as fecha_pago, b.fldName as concepto, 
 case when e.fldMiddleName is NULL then concat(e.fldLastName,', ',e.fldFirstName) else concat(e.fldLastName,' ',e.fldMiddleName,', ',e.fldFirstName) end as empresa, a.codCurrency as cod_moneda, f.fldName as moneda, a.txtDescription as glosa, a.fldTotal as deuda, a.fldBalance as saldo, a.codProductionProjection as cod_proy, a.fldParentComponent as papa, a.cosComponentKey as cod_papa 
from payAccountsPayable a, payAccountsPayableConcept b, 
agnPerson e, actCurrency f
where 
$valor_contexto_det 
a.pkyAccountsPayable = '$cod_cxp' and
a.codConcept = b.pkyAccountsPayableConcept and
a.codEmployee = e.pkyPerson and
a.codCurrency = f.pkyCurrency and
a.sysEnabled = 1 and a.sysAuthorized = 1;");

$result2 = mysqli_query($link, "select a.pkyPayment as cod_pago, a.fldDocumentNumber as nrodoc, a.fldDate as fecha, c.fldName as tipo, a.codClient as empresa, case when e.fldMiddleName is NULL then concat(e.fldLastName,', ',e.fldFirstName) else concat(e.fldLastName,' ',e.fldMiddleName,', ',e.fldFirstName) end as empresa, a.codCurrency as cod_moneda, f.fldName as moneda, a.codExchangeRate as cod_tc, b.fldTotal as total, a.fldParentComponent as papa, a.cosComponentKey as cod_papa 
from
payPayment a, payPaymentDetail b, payPaymentRoute c, agnPerson e, actCurrency f
where 
$valor_contexto_det 
a.codRoute = c.pkyPaymentRoute and
a.codEmployee = e.pkyPerson and
a.codCurrency = f.pkyCurrency and
b.codAccountsPayable = '$cod_cxp' and
a.pkyPayment = b.codPayment and
a.sysEnabled = 1 and a.sysAuthorized = 1
order by fecha;");
}//fin if 3.2
?>
<?php if($otra_moneda_det != 0){ 
$mostrar_txt_moneda = $nom_otra_moneda;
} else {
$mostrar_txt_moneda = 'Moneda original';	
}
?>
<table border="0" align="left" width="100%" cellpadding="5">
<tr><td><?php echo $mostrar_logo_reportes; ?>
</td><td align="right"><b>Fecha: <?php echo date("Y-m-d"); ?><br/>Hora: <?php echo date("H:i:s"); ?><br/>Usuario: <?php echo $usuario_det; ?></b>
</td></tr></table>
<p><br /><center><font color="#000099" size="+1"><b>Detalle Cuenta por Pagar</b></font></center></p>
<table border="0" cellpadding="2" align="center" width="100%">
<tr>
<td>	
    <table border="1" align="center" cellpadding="2" width="100%">
        <TR> 
        <TD width="33%"><b>Cod. CxP: </b><?php echo $cod_cxp; ?></TD>
        <TD width="33%"><b>Contexto: </b><?php echo $nom_contexto_det; ?></TD>
        <TD width="33%"><b>Expresado en: </b><?php echo $mostrar_txt_moneda; ?></TD>
        </TR>
    </table>

</td>
<!--
<td valign="top" width="150">

    <table border="1" align="center" cellpadding="2" width="100%">
    <tr>
    <TD><b>Tipo de Cambio:</b></TD>
    </tr><tr>
    <TD align="center"><a href="../../ModuleAccounting/VoucherExchangeRate/index.php?pkyExchangeRate=<?php echo $ultimo_tc; ?>&user=<?php echo $usuario; ?>&token=<?php echo $token; ?>" title="Tipo de Cambio"><?php echo $ultimo_tc; ?></a> (<?php echo $tc_fecha; ?> - <?php echo $tc_hora; ?>)<br/ >
        <table border="0" cellpadding="2" align="center">
            <?php
            for($m = 1; $m <= $fin_m; $m++) {
            printf("<tr><td align='left'>1 %s</td>", $ma_tc [$m][1]);//moneda base
            printf("<td align='center'>%s</td>", ' = ');//letra a
            printf("<td align='left'>%s %s</td>", number_format($ma_tc [$m][3],$n_tipocambio), $ma_tc [$m][2]);//moneda target y tasa
            //printf("<td align='right'>%s</td></tr>", number_format($ma_tc [$m][3],$n_tipocambio));//tasa
            }
            ?>
        </table>
    </TD>
    </tr>
	</table>
    
</td>
-->
</tr>
</table>
<br /> 
<table border="1" align="center" cellpadding="2" width="100%">
 	<thead>
    <TR> 
 	<TD align="center"><b>Cod.</b></TD>
    <TD align="center"><b>Nro. Doc.</b></TD>
    <TD align="center"><b>Proyecci&oacute;n</b></TD>
	<TD align="center" width="65"><b>Fecha</b></TD>
    <TD align="center" width="65"><b>Fecha de pago</b></TD>
    <TD align="center"><b>Concepto</b></TD>
    <TD align="center"><b><?php echo $empoemp; ?></b></TD>
    <TD align="center"><b>Glosa</b></TD>
    <TD align="center"><b>Gen. Por</b></TD>
	<TD align="center"><b>Mon.</b></TD>
    <TD align="center"><b>Monto inicial</b></TD>
    <TD align="center"><b>Saldo</b></TD>
    <?php if($otra_moneda_det != 0){ ?>
    <TD align="center"><b>Tasa a <?php echo $nom_otra_moneda; ?></b></TD>
    <TD align="center"><b>Saldo en <?php echo $nom_otra_moneda; ?></b></TD>
    <?php } ?>
    </TR>
    </thead>
    <tbody class="marcafila">
<?php
while ($row = mysqli_fetch_array($result)) { //while
	$codigo_cxp = $row['codigo'];
	$cod_proy = $row['cod_proy'];
	
	//para enlazar al que genero el asiento
	$papa_componente = $row['papa'];
	$papa_codigo = $row['cod_papa'];
	$usuario = $usuario_det;
	include "../../generadopor.php";
		
	printf("<tr BGCOLOR='#e2e7fa'><td align='center'><a href='../../ModulePayments/VoucherAccountsPayable/index.php?pkyAccountsPayable=$codigo_cxp&user=$usuario_det&token=$token' title='Nota de Cuenta por Pagar'>%s</a></td>", $row['codigo']);//cod
	printf("<td align='center'>%s</td>", $row['nrodoc']);//numero documento
	printf("<td align='center'><a href='../../ModuleProduction/VoucherProductionProjection/index.php?pkyProductionProjection=$cod_proy&user=$usuario_det&token=$token' title='Proyecci&oacute;n de Producci&oacute;n'>%s</a></td>", $row['cod_proy']);//cod proyeccion
	printf("<td align='right'>%s</td>", $row['fecha']);//fecha
	printf("<td align='right'>%s</td>", $row['fecha_pago']);//fecha de pago
	printf("<td>%s</td>", $row['concepto']);//concepto
	//printf("<td>%s</td>", $row['concepto_gasto']);//concepto del gasto
	printf("<td>%s</td>", $row['empresa']);//empresa o empleado
	printf("<td>%s</td>", $row['glosa']);//glosa
	printf("<td align='center'>%s</td>", $papa_enlace);//enlace papa
	printf("<td>%s</td>", $row['moneda']);//moneda
	$nom_moneda_cabecera = $row['moneda'];
	printf("<td align='right'>%s</td>", number_format($row['deuda'],$n_decimales));//deuda
		$cod_moneda_cxp = $row['cod_moneda'];	
	if($otra_moneda_det != 0){ //if otra moneda
		if($row['cod_moneda'] == $otra_moneda_det){ //if monedas iguales
			$tasa_tc = 1;
		}//fin if monedas iguales 
		else { //else monedas iguales
		$i = 1;
		while($i <= $fin_om){ //while busca tasa tc
			if($row['cod_moneda'] == $matriz_tc [$i][3] && $otra_moneda_det == $matriz_tc [$i][2]){ //if linea tc
				$tasa_tc = $matriz_tc [$i][4];
			}//fin if linea tc
		$i++;
		}//fin while busca tasa tc
	 }//fin if monedas iguales
	 printf("<td align='right'>%s</td>", number_format($row['saldo'],$n_decimales));//saldo	
	 printf("<td align='right'>%s</td>", number_format($tasa_tc,$n_tipocambio));// tasa de tc
	 printf("<td align='right'>%s</td></tr>", number_format($row['saldo'] * $tasa_tc,$n_decimales));//saldo otra moneda
	}//fin if otra moneda 
	else {	//else otra moneda
	printf("<td align='right'>%s</td></tr>", number_format($row['saldo'],$n_decimales));//saldo
	}//fin else otra moneda
	}//fin while
mysqli_free_result($result);
?>
</tbody>
</table>
<p>&nbsp;</p>
<table border="1" align="center" cellpadding="2" width="100%">
 	<thead>
    <TR> 
 	<TD align="center"><b>Cod.</b></TD>
    <TD align="center"><b>Nro. Doc.</b></TD>
	<TD align="center" width="65"><b>Fecha</b></TD>
    <TD align="center"><b>V&iacute;a de Pago</b></TD>
    <TD align="center"><b><?php echo $empoemp; ?></b></TD>
    <TD align="center"><b>Gen. Por</b></TD>
    <TD align="center"><b>Mon. de Pago</b></TD>
    <TD align="center"><b>Tasa de Pago</b></TD>
    <TD align="center"><b>Monto en Mon. de Pago</b></TD>
	<TD align="center"><b>Total Pagado en <?php echo $nom_moneda_cabecera; ?></b></TD>
    <?php if($otra_moneda_det != 0){ ?>
    <TD align="center"><b>Tasa a <?php echo $nom_otra_moneda; ?></b></TD>
    <TD align="center"><b>Total en <?php echo $nom_otra_moneda; ?></b></TD>
    <?php } ?>
    </TR>
    </thead>
    <tbody class="marcafila">
<?php
$color = 2;
$suma_cant = 0;
$suma_cant_2 = 0;
$suma_cant_om = 0;
while ($row = mysqli_fetch_array($result2)) { //while
  $total2 = $row['total'];//total pago
  if($cod_moneda_cxp == $row['cod_moneda']) { //if moneda cabecera igual al detalle	
	$total2 = $row['total'];
	$tasa_fecha_pago = 1;
	$cod_pago = $row['cod_pago'];
	
	//para enlazar al que genero el asiento
	$papa_componente = $row['papa'];
	$papa_codigo = $row['cod_papa'];
	$usuario = $usuario_det;
	include "../../generadopor.php";
		
	if($color % 2 == 0) { //if color
		printf("<tr BGCOLOR='#e2e7fa'><td align='center'><a href='../../ModulePayments/VoucherPayment/index.php?pkyPayment=$cod_pago&user=$usuario_det&token=$token' title='Nota de Pago'>%s</a></td>", $row['cod_pago']);//cod
		} else {
		printf("<tr><td align='center'><a href='../../ModulePayments/VoucherPayment/index.php?pkyPayment=$cod_pago&user=$usuario_det&token=$token' title='Nota de Pago'>%s</a></td>", $row['cod_pago']);//cod
		}//cierra if color
	printf("<td align='center'>%s</td>", $row['nrodoc']);//nro doc
	printf("<td align='right'>%s</td>", $row['fecha']);//fecha
	printf("<td>%s</td>", $row['tipo']);//tipo
	printf("<td>%s</td>", $row['empresa']);//empresa o empleado
	printf("<td align='center'>%s</td>", $papa_enlace);//generado por
	printf("<td>%s</td>", $row['moneda']);//moneda de pago
	printf("<td align='right'>%s</td>", number_format(1, $n_tipocambio));//tasa de pago
	printf("<td align='right'>%s</td>", number_format($row['total'],$n_decimales));//monto pagado
	
	if($otra_moneda_det != 0){ //if otra moneda
		if($row['cod_moneda'] == $otra_moneda_det){ //if monedas iguales
			$tasa_tc = 1;
		}//fin if monedas iguales 
		else { //else monedas iguales
		$i = 1;
		while($i <= $fin_om_fp){ //while busca tasa tc
			if($row['cod_moneda'] == $matriz_tc_fecha_pago [$i][3] && $otra_moneda_det == $matriz_tc_fecha_pago [$i][2]){ //if linea tc
				$tasa_tc = $matriz_tc_fecha_pago [$i][4];
			}//fin if linea tc
		$i++;
		}//fin while busca tasa tc
	 }//fin if monedas iguales
	 printf("<td align='right'>%s</td>", number_format($row['total'],$n_decimales));//total	
	 printf("<td align='right'>%s</td>", number_format($tasa_tc,$n_tipocambio));// tasa de tc
	 printf("<td align='right'>%s</td></tr>", number_format($row['total'] * $tasa_tc,$n_decimales));//total otra moneda
	}//fin if otra moneda 
	else {	//else otra moneda
	printf("<td align='right'>%s</td></tr>", number_format($row['total'],$n_decimales));//total
	}//fin else otra moneda
	
  }//fin if moneda cabecera igual al detalle
  else { //else moneda cabecera igual al detalle
  $cod_pago = $row['cod_pago'];
  $cod_moneda_pago = $row['cod_moneda'];
  // por alguna razon hay que vaciar en variables !!
  $nrodoc2 = $row['nrodoc'];// nro doc
  $fecha2 = $row['fecha'];//fecha
  $tipo2 = $row['tipo'];//tipo
  $empresa2 = $row['empresa'];//empresa o empleado
  $moneda2 = $row['moneda'];//moneda de pago
  $total2 = $row['total'];//total pago OJO TAMBIEN ESTA AL INICIO DEL WHILE
  $resultom = mysqli_query($link, "select a.pkyPayment as cod, a.codCurrency as cod_moneda, 
	a.codExchangeRate as tc, b.fldTotal as total, c.fldRate as tasa
	from
	payPayment a, payPaymentDetail b, actExchangeRateDetail c
	where 
	$valor_contexto_det 
	a.codExchangeRate = c.codExchangeRate and
	a.pkyPayment = '$cod_pago' and
	c.codBaseCurrency = '$cod_moneda_pago' and
	c.codTargetCurrency = '$cod_moneda_cxp' and
	b.codAccountsPayable = '$cod_cxp' and
	a.pkyPayment = b.codPayment and
	a.sysEnabled = 1 and a.sysAuthorized = 1;");
	while ($row = mysqli_fetch_array($resultom)) {
		//$cod_moneda = $row['cod_moneda'];
		$tasa_fecha_pago = $row['tasa'];
		}
		mysqli_free_result($resultom);
  
	$resultom2 = mysqli_query($link, "select a.pkyPayment as cod, a.codCurrency as cod_moneda, 
	a.codExchangeRate as tc, b.fldTotal as total, c.fldRate as tasa
	from
	payPayment a, payPaymentDetail b, actExchangeRateDetail c
	where 
	$valor_contexto_det 
	a.codExchangeRate = c.codExchangeRate and
	a.pkyPayment = '$cod_pago' and
	c.codBaseCurrency = '$otra_moneda_det' and
	c.codTargetCurrency = '$cod_moneda_cxp' and
	b.codAccountsPayable = '$cod_cxp' and
	a.pkyPayment = b.codPayment and
	a.sysEnabled = 1 and a.sysAuthorized = 1;");
	while ($row = mysqli_fetch_array($resultom2)) {
		//$cod_moneda = $row['cod_moneda'];
		$tasa_fecha_pago2 = $row['tasa'];
		}
		mysqli_free_result($resultom2);
  
  
  if($color % 2 == 0) { //if color
		printf("<tr BGCOLOR='#e2e7fa'><td align='center'><a href='../../ModulePayments/VoucherPayment/index.php?pkyPayment=$cod_pago&user=$usuario_det&token=$token' title='Nota de Pago'>%s</a></td>", $cod_pago);//cod
		} else {
		printf("<tr><td align='center'><a href='../../ModulePayments/VoucherPayment/index.php?pkyPayment=$cod_pago&user=$usuario_det&token=$token' title='Nota de Pago'>%s</a></td>", $cod_pago);//cod
		}//cierra if color
	printf("<td align='center'>%s</td>", $nrodoc2);//nro doc
	printf("<td align='right'>%s</td>", $fecha2);//fecha
	printf("<td>%s</td>", $tipo2);//tipo
	printf("<td>%s</td>", $empresa2);//empresa o empleado
	printf("<td align='center'>%s</td>", $papa_enlace);//generado por
	printf("<td>%s</td>", $moneda2);//moneda de pago
	printf("<td align='right'>%s</td>", number_format($tasa_fecha_pago, $n_tipocambio));//tasa de pago
	printf("<td align='right'>%s</td>", number_format($total2 * $tasa_fecha_pago,$n_decimales));//monto pagado
	
	if($otra_moneda_det != 0){ //if otra moneda
		if($cod_moneda_cxp == $otra_moneda_det){ //if monedas iguales
			$tasa_tc = 1;
		}//fin if monedas iguales 
		else { //else monedas iguales
			$tasa_tc = $tasa_fecha_pago2;
	 }//fin else monedas iguales
	 printf("<td align='right'>%s</td>", number_format($total2,$n_decimales));//total	
	 printf("<td align='right'>%s</td>", number_format($tasa_tc,$n_tipocambio));// tasa de tc
	 printf("<td align='right'>%s</td></tr>", number_format($total2 * $tasa_tc,$n_decimales));//total otra moneda
	}//fin if otra moneda 
	else {	//else otra moneda
	printf("<td align='right'>%s</td></tr>", number_format($total2,$n_decimales));//total
	}//fin else otra moneda
  }//fin else moneda cabecera igual al detalle
	$suma_cant = $suma_cant + $total2;
	$suma_cant_om = $suma_cant_om + $total2 * $tasa_tc;
	$suma_cant_2 = $suma_cant_2 + $total2 * $tasa_fecha_pago;
	$color++;
}//fin while
mysqli_free_result($result2);
?>
<?php if($otra_moneda_det != 0){ ?>
<tr BGCOLOR='#ffcccc'><td colspan="8"><b>Total Pagos</b></td>
<td align="right"><?php //printf("<b>%s</b>", number_format($suma_cant_2,$n_decimales)); ?></td>
<td align="right"><?php printf("<b>%s</b>", number_format($suma_cant,$n_decimales)); ?></td>
<td>&nbsp;</td>
<td align="right"><?php printf("<b>%s</b>", number_format($suma_cant_om,$n_decimales)); ?></td></tr>
<?php } else { ?>
<tr BGCOLOR='#ffcccc'><td colspan="8"><b>Total Pagos</b></td>
<td align="right"><?php //printf("<b>%s</b>", number_format($suma_cant_2,$n_decimales)); ?></td>
<td align="right"><?php printf("<b>%s</b>", number_format($suma_cant,$n_decimales)); ?></td></tr>
<?php } ?>
</tbody>
</table>
<?php
} //fin if 3
?>

</body>
</html>
